| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
tif_codec.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | TIFFInitJPEG NotConfigured
#define | TIFFInitOJPEG NotConfigured
#define | TIFFInitJBIG NotConfigured

## Functions
int | TIFFIsCODECConfigured (uint16 scheme)

## Variables
TIFFCodec | _TIFFBuiltinCODECS []

## Macro Definition Documentation

#define TIFFInitJBIG NotConfigured

Definition at line 61 of file tif_codec.c.

#define TIFFInitJPEG NotConfigured

Definition at line 49 of file tif_codec.c.

#define TIFFInitOJPEG NotConfigured

Definition at line 52 of file tif_codec.c.

## Function Documentation

int TIFFIsCODECConfigured | ( | uint16 | scheme | ) |

Check whether we have working codec for the specific coding scheme.

Returns
  returns 1 if the codec is configured and working. Otherwise 0 will be returned.

Definition at line 138 of file tif_codec.c.

## Variable Documentation

TIFFCodec _TIFFBuiltinCODECS[]

Initial value:
= {
{ "None", COMPRESSION_NONE, TIFFInitDumpMode },
{ "LZW", COMPRESSION_LZW, TIFFInitLZW },
{ "PackBits", COMPRESSION_PACKBITS, TIFFInitPackBits },
{ "ThunderScan", COMPRESSION_THUNDERSCAN,TIFFInitThunderScan },
{ "NeXT", COMPRESSION_NEXT, TIFFInitNeXT },
{ "JPEG", COMPRESSION_JPEG, TIFFInitJPEG },
{ "Old-style JPEG", COMPRESSION_OJPEG, TIFFInitOJPEG },
{ "CCITT RLE", COMPRESSION_CCITTRLE, TIFFInitCCITTRLE },
{ "CCITT RLE/W", COMPRESSION_CCITTRLEW, TIFFInitCCITTRLEW },
{ "CCITT Group 3", COMPRESSION_CCITTFAX3, TIFFInitCCITTFax3 },
{ "CCITT Group 4", COMPRESSION_CCITTFAX4, TIFFInitCCITTFax4 },
{ "ISO JBIG", COMPRESSION_JBIG, TIFFInitJBIG },
{ "Deflate", COMPRESSION_DEFLATE, TIFFInitZIP },
{ "AdobeDeflate", COMPRESSION_ADOBE_DEFLATE , TIFFInitZIP },
{ "PixarLog", COMPRESSION_PIXARLOG, TIFFInitPixarLog },
{ "SGILog", COMPRESSION_SGILOG, TIFFInitSGILog },
{ "SGILog24", COMPRESSION_SGILOG24, TIFFInitSGILog },
{ NULL, 0, NULL }
}
COMPRESSION_PACKBITS
#define COMPRESSION_PACKBITS
Definition: tiff.h:180
TIFFInitCCITTFax4
#define TIFFInitCCITTFax4
Definition: tif_codec.c:58
COMPRESSION_CCITTFAX3
#define COMPRESSION_CCITTFAX3
Definition: tiff.h:171
COMPRESSION_SGILOG24
#define COMPRESSION_SGILOG24
Definition: tiff.h:197
COMPRESSION_CCITTRLE
#define COMPRESSION_CCITTRLE
Definition: tiff.h:170
COMPRESSION_OJPEG
#define COMPRESSION_OJPEG
Definition: tiff.h:176
TIFFInitCCITTRLE
#define TIFFInitCCITTRLE
Definition: tif_codec.c:55
TIFFInitCCITTFax3
#define TIFFInitCCITTFax3
Definition: tif_codec.c:57
TIFFInitOJPEG
#define TIFFInitOJPEG
Definition: tif_codec.c:52
COMPRESSION_DEFLATE
#define COMPRESSION_DEFLATE
Definition: tiff.h:190
COMPRESSION_CCITTFAX4
#define COMPRESSION_CCITTFAX4
Definition: tiff.h:173
TIFFInitZIP
#define TIFFInitZIP
Definition: tif_codec.c:64
TIFFInitCCITTRLEW
#define TIFFInitCCITTRLEW
Definition: tif_codec.c:56
TIFFInitSGILog
#define TIFFInitSGILog
Definition: tif_codec.c:70
TIFFInitJBIG
#define TIFFInitJBIG
Definition: tif_codec.c:61
COMPRESSION_CCITTRLEW
#define COMPRESSION_CCITTRLEW
Definition: tiff.h:179
COMPRESSION_PIXARLOG
#define COMPRESSION_PIXARLOG
Definition: tiff.h:189
TIFFInitThunderScan
#define TIFFInitThunderScan
Definition: tif_codec.c:43
COMPRESSION_JBIG
#define COMPRESSION_JBIG
Definition: tiff.h:195
TIFFInitLZW
#define TIFFInitLZW
Definition: tif_codec.c:37
COMPRESSION_NONE
#define COMPRESSION_NONE
Definition: tiff.h:169
COMPRESSION_SGILOG
#define COMPRESSION_SGILOG
Definition: tiff.h:196
COMPRESSION_JPEG
#define COMPRESSION_JPEG
Definition: tiff.h:177
TIFFInitPackBits
int TIFFInitPackBits(TIFF *tif, int scheme)
Definition: tif_packbits.c:278
COMPRESSION_THUNDERSCAN
#define COMPRESSION_THUNDERSCAN
Definition: tiff.h:181
TIFFInitDumpMode
int TIFFInitDumpMode(TIFF *tif, int scheme)
Definition: tif_dumpmode.c:108
TIFFInitPixarLog
#define TIFFInitPixarLog
Definition: tif_codec.c:67
COMPRESSION_ADOBE_DEFLATE
#define COMPRESSION_ADOBE_DEFLATE
Definition: tiff.h:191
TIFFInitNeXT
#define TIFFInitNeXT
Definition: tif_codec.c:46
COMPRESSION_LZW
#define COMPRESSION_LZW
Definition: tiff.h:175
COMPRESSION_NEXT
#define COMPRESSION_NEXT
Definition: tiff.h:178
TIFFInitJPEG
#define TIFFInitJPEG
Definition: tif_codec.c:49

Definition at line 79 of file tif_codec.c.